Get status of “Upsert employee skill assignment” …
Skills
Get status of “Upsert employee skill assignment” …
Get status of “Upsert employee skill assignment” task
GET
Get status of “Upsert employee skill assignment” …
Poll for the status of an employee skill write.Documentation Index
Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt
Use this file to discover all available pages before exploring further.
This endpoint returns the current status of a task. Poll it at regular intervals until the task reaches a terminal status. Learn more in our async endpoints guide. The possible statuses are:
PENDING– The task is still being processed.COMPLETED– The task finished successfully. Thedatafield contains the results.FAILED– The task encountered an error. Check theerrorfield for details.
Authorizations
Headers
ID of the integration you want to interact with.
Path Parameters
The ID of the employee skill write task to poll.
Response
GET /hris/employee-skill-assignments/:task_id Positive response
Allowed value:
"success"- Option 1
- Option 2
- Option 3
Example:
{
"task_id": "task_8AvRLpxwY5J6pGxfY6fUD81Z",
"created_at": "2022-08-07T14:01:29.196Z",
"status": "COMPLETED",
"data": {
"id": "8AvRLpxwY5J6pGxfY6fUD81Z",
"remote_id": "238476582-99123",
"employee_id": "26vafvWSRmbhNcxJYqjCzuJg",
"skill_id": "28KMdr68N8kG9EzLwjsN9aoz",
"proficiency": {
"type": "SINGLE_SELECT",
"ordered_options": [
"Proficiency Level 1",
"Proficiency Level 2",
"Proficiency Level 3",
"Proficiency Level 4",
"Proficiency Level 5"
],
"value": "Proficiency Level 4"
},
"rating_source": "EXTERNAL",
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null
},
"completed_at": "2022-08-07T14:01:29.196Z"
}